/*****************************************************************************/
/*
                                  CGI.h

Defines and function prototypes for CGI module.

*/
/*****************************************************************************/

#ifndef CGI_H_LOADED
#define CGI_H_LOADED 1

#include "wasd.h"

#define CGI_VARIABLE_DCL 1
#define CGI_VARIABLE_STREAM 2

#define CGI_OUTPUT_ABSORB -2
#define CGI_OUTPUT_TERMINATE -1

/***********************/
/* function prototypes */
/***********************/

CgiGenerateVariables (struct RequestStruct*, int);
CgiVariable (struct RequestStruct*, char*, char*, int);
CgiUrlDecodeString (struct RequestStruct*, char*, char*, int, char);

#endif /* CGI_H_LOADED */

/*****************************************************************************/

