/*****************************************************************************/
/*
                                  Request.h
*/
/*****************************************************************************/

#ifndef REQUEST_H_LOADED
#define REQUEST_H_LOADED 1

#include "wasd.h"

RequestBegin (struct RequestStruct*, boolean);
RequestBreakLine (char*, char*, int);
RequestBodyReadBegin (struct RequestStruct*);
RequestBodyReadAst (struct RequestStruct*);
RequestDiscardAst (struct RequestStruct*);
RequestEnd (struct RequestStruct*);
RequestEndConnection (struct RequestStruct*);
RequestExecute (struct RequestStruct*);
RequestExecuteAfterCacheSearch (struct RequestStruct*);
RequestFields (struct RequestStruct*);
RequestFile (struct RequestStruct*, void*, void*);
RequestFileNoType (struct RequestStruct*);
RequestGet (struct RequestStruct*);
RequestHistory (struct RequestStruct*);
RequestHomePage (struct RequestStruct*);
RequestMethodPathQuery (struct RequestStruct*);
RequestParseAndExecute (struct RequestStruct*);
RequestRedirect (struct RequestStruct*);
RequestReport (struct RequestStruct*, void*, boolean);

#endif /* REQUEST_H_LOADED */

/*****************************************************************************/
